Freeciv-3.2: fc_sidebar Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Protected Member Functions | Private Attributes
fc_sidebar Class Reference

`#include <sidebar.h>`

Inheritance diagram for fc_sidebar:

## Public Member Functions

| fc_sidebar ()
| ~fc_sidebar ()
void | add_widget (fc_sidewidget *fsw)
void | paint (QPainter *painter, QPaintEvent *event)
void | resize_me (int height, bool force=false)
void | update_fonts ()

## Data Fields

QList< fc_sidewidget * > | objects

## Protected Member Functions

void | paintEvent (QPaintEvent *event)

## Private Attributes

QVBoxLayout * | layout

## Detailed Description

Definition at line 111 of file sidebar.h.

## Constructor & Destructor Documentation

## ◆ fc_sidebar()

fc_sidebar::fc_sidebar | ( |  | ) |

Sidebar constructor

Definition at line 518 of file sidebar.cpp.

## ◆ ~fc_sidebar()

fc_sidebar::~fc_sidebar | ( |  | ) |

Sidebar destructor

Definition at line 530 of file sidebar.cpp.

## Member Function Documentation

## ◆ add_widget()

void fc_sidebar::add_widget | ( | fc_sidewidget * | fsw | ) |

Adds new sidebar widget

Definition at line 537 of file sidebar.cpp.

Referenced by fc_client::create_game_page().

## ◆ paint()

void fc_sidebar::paint | ( | QPainter * | painter,
|  | QPaintEvent * | event
| ) |  |

Paints dark rectangle as background for sidebar

Definition at line 559 of file sidebar.cpp.

Referenced by paintEvent().

## ◆ paintEvent()

void fc_sidebar::paintEvent | ( | QPaintEvent * | event | ) |

protected

Paint event for sidebar

Definition at line 547 of file sidebar.cpp.

## ◆ resize_me()

void fc_sidebar::resize_me | ( | int | height,
|  | bool | force = `false`
| ) |  |

Definition at line 570 of file sidebar.cpp.

Referenced by fc_client::reload_sidebar_icons(), and fc_game_tab_widget::resizeEvent().

## ◆ update_fonts()

void fc_sidebar::update_fonts | ( |  | ) |

Refresh fonts for all the sidebar widgets.

Definition at line 612 of file sidebar.cpp.

Referenced by fc_client::update_fonts().

## Field Documentation

## ◆ layout

QVBoxLayout* fc_sidebar::layout

private

Definition at line 125 of file sidebar.h.

Referenced by add_widget(), and fc_sidebar().

## ◆ objects

QList<fc_sidewidget*> fc_sidebar::objects

Definition at line 121 of file sidebar.h.

Referenced by add_widget(), fc_game_tab_widget::current_changed(), resize_me(), and update_fonts().